/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef UTILS_H
#define UTILS_H

#include "settings.h"

#include <fstream>
#include <gtkmm/box.h>
#include <gtkmm/dialog.h>
#include <gtkmm/iconfactory.h>
#include <gtkmm/image.h>
#include <gtkmm/messagedialog.h>
#include <gtkmm/stock.h>
#include <gtkmm/stockitem.h>
#include <gtkmm/textbuffer.h>
#include <gtkmm/textview.h>
  
void error (Glib::ustring);
void warning (Glib::ustring);
bool question (Glib::ustring);

Pango::TabArray &get_tab_array(Pango::FontDescription, EnvironmentSettings*, Gtk::TextView*);
void add_new_stock_item(Glib::RefPtr<Gtk::IconFactory>, Glib::ustring, Glib::ustring, Glib::ustring);

Glib::ustring read_file(Glib::ustring);
void write_file(Glib::ustring, Glib::ustring);
int get_file_name_and_line (Glib::ustring&);

#endif
