/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "view.h"

// Show or hide the toolbar
void OpenLDev::on_view_toolbar() 
{
  if (editor->get_toolbar()) 
  {
    toolbar->hide();
    editor->set_toolbar(false);
  } 
  else 
  {
    toolbar->show();
    editor->set_toolbar(true);
  }  
}

// Show or hide the status bar
void OpenLDev::on_view_statusbar() 
{
  if (editor->get_statusbar()) 
  {
    hbox->hide();
    editor->set_statusbar(false);
  } 
  else 
  {
    hbox->show();
    editor->set_statusbar(true);
  }  
}

// Show or hide the fileviewer
void OpenLDev::on_view_fileviewer() 
{
  if (editor->get_fileviewer()) 
  {
    browser->hide();
    editor->set_fileviewer(false);
  } 
  else 
  {
    browser->show();
    editor->set_fileviewer(true);
  }  
}

// Show or hide the build output box
void OpenLDev::on_view_buildbox() 
{
  if (editor->get_buildbox()) 
  {
    output->hide();
    editor->set_buildbox(false);
  } 
  else 
  {
    output->show();
    editor->set_buildbox(true);
  }  
}

// Show or hide the line numbering
void OpenLDev::on_view_lnumbers()
{
  if (env->get_line_numbers()) 
  {
    noteman->get_textview()->set_show_line_numbers(false);
    env->set_line_numbers(false);
  } 
  else 
  {
    noteman->get_textview()->set_show_line_numbers(true);
    env->set_line_numbers(true);
  }
  env->write_settings_file();
}
